libgdamm Reference Documentation

Main Page Namespaces Book

# renderer.h File Reference

## Namespaces

namespace | Glib
namespace | Gnome
namespace | Gnome::Gda

## Classes

class | Gnome::Gda::Renderer
| Base class to get representations of objects as SQL statements, XML nodes or human readable text. More...

## Enumerations

enum | Gnome::Gda::RendererOptions { Gnome::Gda::RENDERER_EXTRA_PRETTY_SQL = 1 << 0, Gnome::Gda::RENDERER_PARAMS_AS_DETAILED = 1 << 1, Gnome::Gda::RENDERER_ERROR_IF_DEFAULT = 1 << 2, Gnome::Gda::RENDERER_FIELDS_NO_TARGET_ALIAS = 1 << 3, Gnome::Gda::RENDERER_PARAMS_AS_COLON = 1 << 4, Gnome::Gda::RENDERER_PARAMS_AS_DOLLAR = 1 << 5 }

Bitwise operators:
  `RendererOptions operator|(RendererOptions, RendererOptions)`
  `RendererOptions operator&(RendererOptions, RendererOptions)`
  `RendererOptions operator^(RendererOptions, RendererOptions)`
  `RendererOptions operator~(RendererOptions)`
  `RendererOptions& operator|=(RendererOptions&, RendererOptions)`
  `RendererOptions& operator&=(RendererOptions&, RendererOptions)`
  `RendererOptions& operator^=(RendererOptions&, RendererOptions)`

More...

## Functions

RendererOptions | Gnome::Gda::operator& (RendererOptions lhs, RendererOptions rhs)
RendererOptions& | Gnome::Gda::operator&= (RendererOptions& lhs, RendererOptions rhs)
RendererOptions | Gnome::Gda::operator^ (RendererOptions lhs, RendererOptions rhs)
RendererOptions& | Gnome::Gda::operator^= (RendererOptions& lhs, RendererOptions rhs)
RendererOptions | Gnome::Gda::operator| (RendererOptions lhs, RendererOptions rhs)
RendererOptions& | Gnome::Gda::operator|= (RendererOptions& lhs, RendererOptions rhs)
RendererOptions | Gnome::Gda::operator~ (RendererOptions flags)